PROGRAM Directory; (* Example program / M.J. Vos *)
                   (* HYDROLIN 1.00 extension    *)

VAR
  Path: STRING[64];
  Ch  : Char;

BEGIN
  Ch := '1';
  Repeat
    IF Upcase(Ch) IN ['1', 'M', '2', 'R', '3', 'C', '0', 'Q'] THEN
      BEGIN
         ClrScr;
         GetDir(0,Path);
         WriteLn('Current directory is ',Path);
         Writeln;
         WriteLn('Choose option: ');
         WriteLn('  1: Make a directory');
         WriteLn('  2: Remove a directory');
         WriteLn('  3: Change the current directory');
         WriteLn('  0: Quit');
         Writeln;
         Write('Option: ');
         Read(Kbd,Ch);

         {$I-}
         Case Upcase(Ch) OF
           '1','M': BEGIN
                      WriteLn('Make');
                      Write('Make what directory? ');
                      Readln(path);
                      MkDir(Path);
                    END;
           '2','R': BEGIN
                      WriteLn('Remove');
                      Write('Remove what directory? ');
                      Readln(path);
                      RmDir(Path);
                    END;
           '3','C': BEGIN
                      WriteLn('Change');
                      Writeln;
                      Write('Change to what directory? ');
                      Readln(path);
                      ChDir(Path); 
                    END;
           '0','Q': WriteLn('Quit');
           ELSE
          END; { case }

         {$I+}
         IF IOResult<>0 THEN
            BEGIN
              Write('*** Error: ', path);
              Delay(3000);
            END;
       END { if }
     ELSE
       Read(kbd, ch)
    UNTIL Upcase(Ch) IN ['0','Q', #27];
END.
(* END ============================ DIRECT.PAS ===========================*)