(**********************************************************************
* HYDROL00.INC                                                        *
*                                                                     *
* CONTENTS                                                            *
*                                                                     *
* MISCELLANEOUS HYDROLIN-PROCEDURES         TU DELFT / M.J.Vos / 1988 *
***********************************************************************
* Hydrolin_Heading; Device; Heading; Help_Hydrolin; Help_UH;          *
* Help_Menu.                                                          *
**********************************************************************)

{
(*===================================================================*)
PROCEDURE HYDROLIN_Heading;
(*===================================================================*)
(*           Possible heading with graphics drawbloc                 *)

BEGIN
CPMdrawbloc(1,2,66,21);
GotoXY(3,5);Write('               //  //');
GotoXY(3,6);Write('              //  //');
GotoXY(3,7);Write('             //--//');
GotoXY(3,8);Write('            //--//  Y D R O L I N      version 1.00');
GotoXY(3,9);Write('           //  //');
GotoXY(3,12);Write('           INTERACTIVE HYDROLOGICAL COMPUTERPROGRAM');
GotoXY(3,14);Write('                TU DELFT/Ct (C) 880226 M.J. Vos');
GotoXY(3,17);Write('                UNIVERSITY OF TECHNOLOGY  DELFT');
GotoXY(3,18);Write('                DEPARTMENT OF CIVIL ENGINEERING');
GotoXY(3,23);LV;Write('WAIT !');HV;
Delay(3000);
Scroll;
END;


(*===================================================================*)
PROCEDURE HYDROLIN_Heading;
(*===================================================================*)

BEGIN
FOR TEL:=1 TO 24 DO WriteLn;Delay(1000);
WriteLn('   H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H              //  //                                         H');
WriteLn('                 //  //                                           ');
WriteLn('                //--//                                            ');
WriteLn('               //--//  Y D R O L I N      version 1.00            ');
WriteLn('   H          //  //                                             H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H          INTERACTIVE HYDROLOGICAL COMPUTERPROGRAM           H');
WriteLn('   H                                                             H');
WriteLn('   H               TU DELFT/Ct (C) 880226 M.J. Vos               H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H               UNIVERSITY OF TECHNOLOGY  DELFT               H');
WriteLn('   H               DEPARTMENT OF CIVIL ENGINEERING               H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H                                                             H');
WriteLn('   H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H');
LV;WriteLn;WriteLn('   WAIT !');HV;
Delay(2500);
Scroll;
END;


(*===================================================================*)
PROCEDURE Device;
(*===================================================================*)
(*           Possible menu in case of several devices                *)

BEGIN
LV;
WriteLn('HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH');
WriteLn;
WriteLn('choice  of  DEVICE:');
WriteLn('===================');
WriteLn;
WriteLn;
WriteLn('AUX:              = PUNCH RS232(Modem/Plotter)  ');
WriteLn('CON:           <= = CONSOLE(Buffered Input,Output)');
WriteLn('KBD:              = KEYBOARD(Input, no Echo)');
WriteLn('LST:           <= = PRINTER(Centronics, Serial)');
WriteLn('TRM:              = TERMINAL');
WriteLn('USR:              = USER DEFINED INPUT RS232(Modem)');
WriteLn('X:XXXXXXIN.DAT <= = INPUTFILENAME ON DISCDRIVE X:');
WriteLn('X:XXXXXOUT.DAT <= = OUTPUTFILENAME ON DISCDRIVE X:');
WriteLn;
WriteLn;
WriteLn;
WriteLn('HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH');
WriteLn;WriteLn;WriteLn;HV;
Readln(FileName);
Assign(FV,FileName);
Scroll;
END; (* Device *)


(*=======================================================================*)
PROCEDURE Heading;
(*=======================================================================*)
(*           Possible heading in case of printing files                  *)

BEGIN
ClrScr;
LV;WriteLn('YOUR PROGRAMNAME :');HV;
Readln(Titel);
LV;WriteLn('METHOD :');HV;
Readln(Method);
LV;WriteLn('VERSIONNUMBER :');HV;
Readln(Version);
LV;WriteLn('YOUR NAME :');HV;
Readln(Name);
LV;WriteLn('DATE YOUR VERSION :');
Write('XXXXXX',Chr(22),Chr(13));HV;
Readln(jjmmdd);
LV;WriteLn('TIJD :');
Write('XX XX',Chr(13));HV;
Readln(tt_tt);LV;Write(' hour.');HV;
Write(Chr(22));
Scroll;ClrScr;
Device;
ReWrite(FV);
WriteLn(FV,'H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                    ///  HYDROLIN 1.00  ///                      ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                     PROGRAM : ',Titel,'                         ');
WriteLn(FV,'                      METHOD : ',Method,'                        ');
WriteLn(FV,'                     VERSION : ',Version,'                       ');
WriteLn(FV,'                        NAME : ',Name,'                          ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'         UNIVERSITY OF TECHNOLOGY  DELFT                         ');
WriteLn(FV,'         DEPARTMENT OF CIVIL ENGINEERING                         ');
WriteLn(FV,'_________________________________________________________________');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'         MS DOS                                     IBM          ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'         date : ',jjmmdd,'        time : ',tt_tt,' hour.         ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'                                                                 ');
WriteLn(FV,'H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H H');
LV;WriteLn('WAIT !');
Delay(3000);HV;
Scroll;
END; (* Heading *)

}
(*===================================================================*)
PROCEDURE Help_Hydrolin;   (* INTRODUCTION AND INFO HYDROLIN *)
(*===================================================================*)

BEGIN
ClrScr;
LV;WriteLn('HYDROLIN Help page');HV;
WriteLn;
WriteLn('HYDROLIN is een interactief hydrologisch analyseprogramma,   ');
WriteLn('dat menugericht U ten dienste wil staan. Hierbij wordt U ge- ');
WriteLn('vraagd om gegevens en een keuze uit opties.                  ');
WriteLn('Stapt u uit een menu dan komt u terug in het hoofdmenu en    ');
WriteLn('kunt u opnieuw een traject kiezen. Een manual is dienten-    ');
WriteLn('gevolge niet strikt nodig.                                   ');
WriteLn;
WriteLn('Voorlopig is geimplementeerd :                               ');
WriteLn;
WriteLn('DE METHODE VAN DE EENHEIDSAFVOERGOLF - UNIT HYDROGRAPH (UH) .');
Delay(500);PressKey;
END; (*Help_Hydrolin *)

(*===================================================================*)
PROCEDURE Help_UH;                   (* INFO UNIT HYDROGRAPH *)
(*===================================================================*)

BEGIN
ClrScr;
LV;WriteLn('UNIT HYDROGRAPH Help page');HV;
WriteLn;
WriteLn('De METHODE VAN DE EENHEIDSAFVOERGOLF berust op empirisch gevon- ');
WriteLn('den relaties - L.K. Sherman 1932 - en dient ter bepaling van    ');
WriteLn('oppervlakteafvoercomponent (van de afvoer), die ontstaat ten ge-');
WriteLn('volge van de gemiddelde netto neerslag; deze neerslag wordt ge- ');
WriteLn('lijkmatig verdeeld gedacht over het stroomgebied. De grootte(A) ');
WriteLn('van het stroomgebied heeft een bovengrens van ca. 10.000 vier-  ');
WriteLn('kante kilometer. Bij de METHODE VAN DE EENHEIDSAFVOERGOLF wordt ');
WriteLn('uitgegaan van een EENHEIDSDIEPTE- UNIT DEPTH - b.v. 1 inch of   ');
WriteLn('1 centimeter of een EENHEIDSVOLUME A ,gelijkmatig verdeeld over ');
WriteLn('het stroomgebied.                                               ');
WriteLn('De tijdsDUUR van een enkelvoudige bui wordt DT genoemd.         ');
WriteLn('Vanaf het einde van de bui tot het einde van de eenheidsafvoer- ');
WriteLn('kromme is de tijdsduur TR - de AFLOOPTIJD.                      ');
WriteLn('Het afvoerdebiet  wordt weergegeven als Q of als q=Q/A.         ');
WriteLn('Een over een bepaalde tijd gemeten neerslagkromme kan worden op-');
WriteLn('gedeeld in een aantal enkelvoudige buien van zo mogelijk zelfde ');
WriteLn('tijdsduur DT.                                                   ');
WriteLn;
Delay(500);PressKey;
Scroll;ClrScr;
WriteLn('Allereerst zult u data moeten invoeren. Dit geschiedt via INPUT ');
WriteLn('/  KEYBOARD naar een bestand op schijf. Veranderingen hieraan   ');
WriteLn('moeten worden gedaan met een EDITER.                            ');
WriteLn('Allerlei manipulaties met bestanden kunnen worden gedaan met    ');
WriteLn('COMMAND (= MSDOS commandos) of FILEHANDLING.                    ');
WriteLn('Vervolgens kunt u Regenverliezen PRECIP en Afvoerscheiding(en)  ');
WriteLn('DISCH invoeren, welke eveneens op schijf worden gezet onder een ');
WriteLn('voor u kenmerkende naam.                                        ');
WriteLn('De bij elkaar behorende bruto en verlies-datafiles leveren      ');
WriteLn('netto-datafiles op. Vergelijking van geaccumuleerde netto regen ');
WriteLn('met afvoer is dan mogelijk. Repetitie van elk procedee is moge- ');
WriteLn('lijk tot een aantal van drie gemodificeerde gelijksoortige      ');
WriteLn('bestanden op schijf. Het beheer geschiedt door twee geimplemen- ');
WriteLn('procedures welke u vragen om characters t.b.v. identificatie ,  ');
WriteLn('specificatie en volgnummer.                                     ');
WriteLn('Door filemanipulaties is het mogelijk meer bestanden te bewaren ');
WriteLn('b.v. onder een andere naam, op een andere schijf, op een andere ');
WriteLn('drive etc.                                                      ');
WriteLn('De GRAPHICS-optie biedt de mogelijkheid tot graphische weergave ');
WriteLn('met HYDROGR en eventuele terugkeer in HYDROLIN.                 ');
Delay(500);PressKey;
END;  (* HELP_UH *)


(*===================================================================*)
PROCEDURE Help_Menu;
(*===================================================================*)

BEGIN
ClrScr;
Quit:=False;
 REPEAT
  Menu_Heading:='HELP MENU';
  CASE Menu('Nash_cascade Hydrolin Stochastic Tank Unit_hydrograph Quit') OF

      'N' : BEGIN
             Bell;Writeln('Nash-cascade not yet implemented.');
             Delay(1000);ClrScr;
            END;
      'H' : BEGIN
           (*  Assign(FV,'b:HYDR.DOC'); *)
           (*  Reset(FV);               *)
           (*  REPEAT                   *)
           (*   FOR TEL:=1 TO 15 DO     *)
           (*   BEGIN                   *)
           (*    ReadLn(FV,Line);       *)
           (*    WriteLn(CON,Line);     *)
           (*   END;                    *)
           (*   PressKey;               *)
           (*  UNTIL Eof(FV);           *)
             Help_Hydrolin;
            END;
      'S' : BEGIN
             Bell;Writeln('Stochastic model not yet implemented.');
             Delay(1000);ClrSCr;
            END;
      'T' : BEGIN
             Bell;Writeln('Tank-model not yet implemented.');
             Delay(1000);ClrSCr;
            END;
      'U' : BEGIN
           (*  Assign(FV,'b:UH.DOC');   *)
           (*  Reset(FV);               *)
           (*  REPEAT                   *)
           (*   FOR TEL:=1 TO 15 DO     *)
           (*   BEGIN                   *)
           (*    ReadLn(FV,Line);       *)
           (*    WriteLn(CON,Line);     *)
           (*   END;                    *)
           (*   PressKey;               *)
           (*  UNTIL Eof(FV);           *)
             Help_UH;
            END;
      'Q' : BEGIN
             IF Yes('... are you sure ?') THEN
             Quit:=True;
            END;
  END; (* Case *)
 HV;
 UNTIL Quit=True;
END; (* Help_Menu *)

(*END========================  HYDROL00.INC   =======================*)